v.overlay(1)

NAME
v.overlay - Overlay 2 vector maps.

SYNOPSIS
v.overlay
v.overlay help
v.overlay [-t] ainput=string [atype=string[,string,...]] [alayer=integer] binput=string [btype=string[,string,...]] [blayer=integer] output=string [operator=string] [olayer=integer[,integer,...]]

  Flags:

-t  Do not create attribute table.

  Parameters:

ainput=string
    Name of input vector

atype=string[,string,...]
    Type Options: line,area Default: area

alayer=integer
    Layer number Default: 1

binput=string
    Name of input vector

btype=string[,string,...]
    Type Options: area Default: area

blayer=integer
    Layer number Default: 1

output=string
    Name of output vector

operator=string
    Operator defines features written to output vector. Feature is written to output if the result of operation 'ainput operator binput' is true. Input feature is considered to be true, if category of given layer is defined.
         and : also known as 'intersection' in GIS     or  : also known as 'union' in GIS (only for atype=area)     not : features from ainput not overlayed by features from binput     xor : features from either ainput or binput but not those from ainput overlayed by binput            (only for atype=area)
    Options: and,or,not,xor Default: or

olayer=integer[,integer,...]
    Output layer for new category, ainput and binput. If 0 or not given, the category is not written. Default: 1,0,0

DESCRIPTION
v.overlay allows the user to overlay to vector area maps. There are 3 links attached to features in output map,

        field 1: link to the new table, new table has 3 columns

            cat - key column linking rows to features

            cata - category of afield from ainput

            catb - category of bfield from binput

        field 2: category of afield from ainput

        field 3: category of bfield from binput

NOTES
Currently only areas are supported! See also v.select.

Attributes of the tables from ainput and binput are joined into a new table linked to the output map.

v.db.connect map=outputmap table=ainput.dbf field=2
v.db.connect map=outputmap table=binput.dbf field=3

Attention: Removing the output map will also delete all tables linked to it! Therefore it is advisable to copy tables from ainput and binput first and connect the copied tables to the output map.

EXAMPLE
v.overlay ainput=lake binput=province output=lakeXprovince

SEE ALSO
v.db.connect, v.select, g.copy

AUTHORS
Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2004/12/10 09:54:32 $

Help Index